Get voice

Returns metadata about a specific voice.

Path parameters

voice_idstringRequired

ID of the voice to be used. You can use the Get voices endpoint list all the available voices.

Headers

xi-api-keystringRequired

Query parameters

with_settingsbooleanOptionalDefaults to trueDeprecated
This parameter is now deprecated. It is ignored and will be removed in a future version.

Response

Successful Response
voice_idstring
The ID of the voice.
namestring
The name of the voice.
sampleslist of objects or null
List of samples associated with the voice.
categoryenum
The category of the voice.
fine_tuningobject or null

Fine-tuning information for the voice.

labelsmap from strings to strings
Labels associated with the voice.
descriptionstring or null
The description of the voice.
preview_urlstring or null
The preview URL of the voice.
available_for_tierslist of strings
The tiers the voice is available for.
settingsobject or null
The settings of the voice.
sharingobject or null
The sharing information of the voice.
high_quality_base_model_idslist of strings

The base model IDs for high-quality voices.

verified_languageslist of objects or null
The verified languages of the voice.
collection_idslist of strings or null
The IDs of collections this voice belongs to.
safety_controlenum or null
The safety controls of the voice.
Allowed values:
voice_verificationobject or null
The voice verification of the voice.
permission_on_resourcestring or null
The permission on the resource of the voice.
is_ownerboolean or null
Whether the voice is owned by the user.
is_legacybooleanDefaults to false
Whether the voice is legacy.
is_mixedbooleanDefaults to false
Whether the voice is mixed.
favorited_at_unixinteger or null
Timestamp when the voice was marked as favorite in Unix time.
created_at_unixinteger or null
The creation time of the voice in Unix time.
is_bookmarkedboolean or null

Whether the voice is bookmarked by the current user. Only relevant for community (library-copied) voices.

recording_qualityenum or null
The recording quality of the voice as determined by the review pipeline.
Allowed values:
labelling_statusenum or null
The review pipeline status of the voice.
Allowed values:
recording_quality_reasonstring or null
The reason for the recording quality assessment, as determined by the review pipeline.

Errors

422
Unprocessable Entity Error